# -*- coding: utf-8 -*-
from ppms import ppms
from ppms.constants import *
from ppms.migration import SQLPacket, PacketCategory, MaxVersionDependency, ChangeDTPPacket


class AddPulseMappingTable(SQLPacket):
    """Add the PLANTA Pulse mapping tables and necessary dataitems"""
    run_on_startup = True
    done_after_success = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 21604

    sql_script = 'WI21604_pulse_mapping_table.sql'

    def get_dependencies(self):
        return MaxVersionDependency(version='39.5.10'),

    def fix(self, runner):
        self.apply_dml_file(self.sql_planta_de_dbms, self.sql_script)

        return self.success()
